%define         tarversion  1_4
%define         tarname     Xalan-C_%{tarversion}
%define		packname    xml-xalan
%define 	major       14
%define         name	    xalan-c
%define         libname     %mklibname %{name} %{major}

Summary: 		An XSLT Transformation Engine in C++
Name:			%{name}
Version: 		1.4
Release: 		4mdk
License: 		Apache License
Group: 			Development/Other
Source: 		http://xml.apache.org/dist/xalan-c/%{tarname}-linux.tar.bz2
Patch0: 		xalan-c.patches
Patch3: 		xalan-c.trace-listener-cast-to-char-for-ambiguity.patch.bz2
Patch6:			xml-xalan-lib64.patch.bz2
Patch8:			xalan-1.4.0-makej-deps.patch.bz2
Patch9:			xml-xalan-1.4.0-pthread.patch.bz2
Patch10:		xalan-1.4.0-soname.patch.bz2
URL: 			http://xml.apache.org/xalan-c/
BuildRoot: 		%_tmppath/%name-%version-%release-root
BuildRequires:	xerces-c-devel >= 2.1.0

%description 
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).


%package -n %{libname}
Group:		Development/Other
Summary:	Library for an XSLT Transformation Engine in C++
Obsoletes:	xalan-c <= xalan-c-1.1-4mdk

%description -n %{libname}
Library for xalan-c


%package -n %{libname}-devel
Requires:	%libname = %version-%release
Group:		Development/Other
Summary:	Developpement files for XSLT Transformation Engine
Provides:	xalan-c-devel = %version-%release, libxalan-c-devel = %version-%release
Obsoletes:	xalan-c-devel

%description -n %{libname}-devel
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).


%package doc
Group:		Development/Other
Summary:	Online manual for Xalan-C, XSLT Transformation Engine

%description doc
Documentation for Xalan-C, viewable through your web server, too!

%prep

%setup -q -n %{packname}
%patch3 -p1
%patch6 -p1 -b .lib64
%patch8 -p1 -b .makej-deps
%patch9 -p1 -b .pthread

%patch10 -p1 -b .soname

%build
rm -f c/bin/*
rm -f c/lib/*

export XALANCROOT=${RPM_BUILD_DIR}/%{packname}
export XERCESCROOT=%{_includedir}/xercesc
cd $XALANCROOT/c/src
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
install --mode=0755 lib/* ${RPM_BUILD_ROOT}%{_libdir}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install --mode=0755 bin/test* ${RPM_BUILD_ROOT}%{_bindir}
install --mode=0755 bin/Xalan ${RPM_BUILD_ROOT}%{_bindir}
ln -s testXSLT ${RPM_BUILD_ROOT}/usr/bin/xsl-c
ln -s testXPath ${RPM_BUILD_ROOT}/usr/bin/xpath-c

mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan
mkdir -p ${RPM_BUILD_ROOT}/usr/include/xalan/{DOMSupport,Include,PlatformSupport,XercesPlatformSupport,XercesParserLiaison,XPath,XMLSupport,XSLT,XalanTransformer,XalanDOM,XalanSourceTree}

install --mode=0644 c/src/XalanTransformer/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanTransformer
install --mode=0644 c/src/XalanTransformer/*.h ${RPM_BUILD_ROOT}/usr/include/xalan/XalanTransformer
install --mode=0644 c/src/DOMSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/DOMSupport
install --mode=0644 c/src/Include/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/Include
install --mode=0644 c/src/PlatformSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/PlatformSupport
install --mode=0644 c/src/XercesParserLiaison/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XercesParserLiaison
install --mode=0644 c/src/XPath/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XPath
install --mode=0644 c/src/XMLSupport/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XMLSupport
install --mode=0644 c/src/XSLT/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XSLT
install --mode=0644 c/src/XalanDOM/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanDOM
install --mode=0644 c/src/XalanSourceTree/*.hpp ${RPM_BUILD_ROOT}/usr/include/xalan/XalanSourceTree

cd ${RPM_BUILD_ROOT}%{_libdir}/
/sbin/ldconfig -n .
ln -sf lib%{name}.so.%{version} lib%{name}.so.%{major}
ln -sf lib%{name}.so.%{major} lib%{name}.so

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/xalan/*

%files doc
%defattr(644 root root 755)
%doc c/License readme.html c/docs/

%changelog

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 1.4-4mdk
- increment version number :/ 

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 1.4-3mdk
- added Xalan binary
- clean patch

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.4-2mdk
- rebuild for new gcc

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 1.4-1mdk
- new version

* Mon Dec  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-10mdk
- Update Patch5 (endian-defines) to match ia64 and x86-64 definitions
- Patch6: Make it lib64 aware
- Patch7: Add C++ fixes, maintainer will please (re)move that package
  or update to a newer version
- Patch8: Tighten dependencies so that make -j6 could work

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.1-9mdk
- Clean after build
- Fix Requires/Provides

* Mon Jul 16 2001 Philippe Libat <philippe@mandrakesoft.com> 1.1-8mdk
- include

* Mon Jul 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-7mdk
- use standard %%configure and %%make macros
- Patch5: support for alpha, ppc, and sparc endian defines
- use setup -q

* Mon Jul  2 2001 Warly <warly@mandrakesoft.com> 1.1-6mdk
- fix some rpmlint errors

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-5mdk
- libification

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-3mdk
- rebuild against new xerces-c

* Thu May  3 2001  <warly@mandrakesoft.com> 1.1-2mdk
- recompile with opt-flags (no more memory needed)

* Wed May  2 2001  <warly@mandrakesoft.com> 1.1-1mdk
- new version (need 1GB of ram to build)

* Sun Jan 07 2001 Warly <warly@mandrakesoft.com> 1.0-1mdk
- new version

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xalan-c 0.40.0
- Initial RPM release
- documentation go in a new package doc (comme xalan-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates

